Thread (2 messages) 2 messages, 2 authors, 2016-06-15

Re: [PATCH] git-svn.perl: fix a false-positive in the "already exists" test

From: Steven Walter <hidden>
Date: 2016-06-15 22:53:07

On Tue, Feb 21, 2012 at 9:16 PM, Junio C Hamano [off-list ref] wrote:
Steven Walter [off-list ref] writes:
quoted
diff --git a/t/t9100-git-svn-basic.sh b/t/t9100-git-svn-basic.sh
index b041516..4029f84 100755
--- a/t/t9100-git-svn-basic.sh
+++ b/t/t9100-git-svn-basic.sh
@@ -92,9 +92,11 @@ test_expect_success "$name" '
      echo yyy > bar/zzz/yyy &&
      git update-index --add bar/zzz/yyy &&
      git commit -m "$name" &&
+     git svn set-tree --find-copies-harder --rmdir \
+             ${remotes_git_svn}..mybranch3 &&
+     svn_cmd up "$SVN_TREE" &&
+     test -d "$SVN_TREE"/bar/zzz &&
+     test -e "$SVN_TREE"/bar/zzz/yyy ' || true
Care to explain what this " || true" is doing here, please?
Ahh, good catch.  I think the answer is that it shouldn't be there.
It was originally there because of the "test_must_fail" line, I think
(at least the other tests that use test_must_fail also have "||
true").  The tests all still pass with that "|| true" removed.  Do you
want to just fix that up, or a new version of the original patch, or a
fix on top of the original patches?
-- 
-Steven Walter [off-list ref]
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help